﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace AvatarBlockWar.Tools
{
    /// <summary>
    /// This class represent a bullet
    /// </summary>
    public class Bullet
    {
        #region Variables

        public Ray bulletRay;

        #endregion

        #region Constructors

        /// <summary>
        /// Create a new bullet
        /// </summary>
        /// <param name="position"></param>
        /// <param name="direction"></param>
        public Bullet(Vector3 position, Vector3 direction)
        {
            // Set values for instance variables
            this.bulletRay = new Ray(position, direction);

        } // End of the constructor

        #endregion

    } // End of the class

} // End of the namespace
