﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace CubeEngines
{
    /// <summary>
    /// This struct represent a cube instance that is used to draw cube instances.
    /// </summary>
    public struct CubeInstance
    {
        #region Variables

        public Matrix world;
        public Vector2 textureOffset;

        #endregion

        #region Constructors
        
        /// <summary>
        /// Create a new cube instance
        /// </summary>
        /// <param name="world"></param>
        /// <param name="textureOffset"></param>
        public CubeInstance(Matrix world, Vector2 textureOffset)
        {
            this.world = world;
            this.textureOffset = textureOffset;

        } // End of the constructor

        #endregion

    } // End of the class

} // End of the namespace
