﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace CubeEngines
{
    /// <summary>
    /// This class represent a cube type
    /// </summary>
    public class CubeType
    {

        #region Variables

        public string cubeName;
        public Vector2 cubeTextureOffset;
        public bool isTransparent;

        #endregion

        #region Constructors

        /// <summary>
        /// Create a new cube type.
        /// </summary>
        /// <param name="cubeName"></param>
        /// <param name="cubeTextureOffset"></param>
        /// <param name="isTransparent"></param>
        public CubeType(string cubeName, Vector2 cubeTextureOffset, bool isTransparent)
        {
            // Set values for instance variables
            this.cubeName = cubeName;
            this.cubeTextureOffset = cubeTextureOffset;
            this.isTransparent = isTransparent;

        } // End of the constructor

        #endregion

    } // End of the class

} // End of the namespace
